
import Api from '../../util/Api/index'
import ToolClass from '../../util/PublicMethod/index'

export default {
  namespaced: true,
  state: {
    UserPlaylist: [] // 用户片单
  },
  mutations: {
    UpdateUserPlaylist (state, data) {
      state.UserPlaylist = data || []
    }
  },
  actions: {
    GetUserPlaylist (context, payload) {
      return new Promise((resolve, reject) => {
        ToolClass.WxRequest({
          url: Api.GetUserPlaylist.url,
          method: Api.GetUserPlaylist.method,
          ...payload,
          success (res) {
            context.commit('UpdateUserPlaylist', res.data.data.list)
            resolve(res)
          },
          error (res) {
            reject(res)
          }
        })
      })
    }
  }
}
