import qs from 'qs'
const ToolClass = {
  ReplaceURLParams (url, params) {
    const args = { ...(params || {}), org: 'MQ' }
    return Object.keys(args).reduce((acc, k) => { // 此方法对每个元素进行处理
      const re = new RegExp(`:${k}(?!w)`, 'i')
      return acc.replace(re, args[k])
    }, url)
  },
  WxRequest (config) { // 网络请求
    let urlData = qs.stringify(config.urlData)
    let queryData = qs.stringify(config.queryData)
    // 判断是通过斜杠传参
    if (config.url.indexOf(':') > -1) {
      if (typeof config.urlData === 'object') {
        config.url = this.ReplaceURLParams(config.url, config.urlData)
      } else {
        config.url = config.url.slice(0, config.url.indexOf(':')) + urlData
      }
    }
    if (queryData) {
      config.url += '?' + queryData
    }
    wx.request({
      url: `http://121.40.96.72:91${config.url}`,
      method: config.method,
      ...(config.data || {}),
      success: (res) => {
        if (config.success !== undefined) {
          config.success(res)
        }
      },
      fail: (res) => {
        if (config.error !== undefined) {
          config.error(res)
        }
      }
    })
  }
}

export default ToolClass
